Package org.apache.sysds.runtime.controlprogram.paramserv.dp

# Class DCLocalScheme

java.lang.Object
org.apache.sysds.runtime.controlprogram.paramserv.dp.DataPartitionLocalScheme
org.apache.sysds.runtime.controlprogram.paramserv.dp.DCLocalScheme

public class DCLocalScheme extends DataPartitionLocalScheme
Disjoint_Contiguous data partitioner: for each worker, use a right indexing operation X[beg:end,] to obtain contiguous, non-overlapping partitions of rows.

## Nested Class Summary

## Nested classes/interfaces inherited from class org.apache.sysds.runtime.controlprogram.paramserv.dp.DataPartitionLocalScheme

`DataPartitionLocalScheme.Result`

## Constructor Summary

Constructors
Constructor
Description
`DCLocalScheme()`

## Method Summary

Modifier and Type
Method
Description
`DataPartitionLocalScheme.Result`
`doPartitioning(int workersNum, MatrixBlock features, MatrixBlock labels)`
`static List<MatrixBlock>`
`partition(int k, MatrixBlock mb)`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### DCLocalScheme

public DCLocalScheme()

## Method Details

### partition

public static List<MatrixBlock> partition(int k, MatrixBlock mb)

### doPartitioning

public DataPartitionLocalScheme.Result doPartitioning(int workersNum, MatrixBlock features, MatrixBlock labels)

Specified by:
  `doPartitioning` in class `DataPartitionLocalScheme`